﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGExportToExcelCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            Random r = new Random();


            for (int i = 0; i < 2500; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = "Label" + i.ToString(),
                    Name = "Name" + i.ToString(),
                    Increment = i,
                    Random = r.Next(100000)
                });
            }
        }
       
    }

    public class SampleData
    {
        public string Label { get; set; }
        public string Name { get; set; }
        public int Random { get; set; }
        public int Increment { get; set; }
    }
}
